<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="../l1page-api/l1page-api.html">

<!--
`<l1page-drawer-links>` is not documented properly yet
-->
<dom-module id="l1page-drawer-links">
  <template>
    <link rel="stylesheet" href="l1page-drawer-links.css?__inline=true">
    <style include="l1page-theme"></style>

    <l1page-api url="/api/v0/config/links"
                data="{{links}}"
                auto></l1page-api>
    <div>
      <dom-repeat items=[[_getSections(links)]] as=section>
        <template>
          <h1>[[section.name]]</h1>
          <dom-repeat items=[[section.apps]] as=app>
            <template>
              <a href="[[app.url]]" target="_blank">[[app.name]]</a>
            </template>
          </dom-repeat>
        </template>
      </dom-repeat>
    </div>

    <slot></slot>
  </template>
</dom-module>

<script src="l1page-drawer-links.js?__inline=true"></script>
